2019-01-23 01:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000394NetSurfLayoutpublic2015-03-10 10:37
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.1 
Target Version3.1Fixed in Version3.1 
Summary0000394: "Root box must not be inline": crash on rendering page
DescriptionNetsurf (v1013 and also in v1083) crashes when rendering the page http://www.literatuurplein.nl/boekdetail.jsp?boekId=49696
Final error reported in log is

 "render/box_construct.c", line 1016: box_construct_element: Assertion failed: props.containing_block != NULL && "Root box must not be inline or floated"
Additional InformationImported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3611638 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #1574
Reported in CI build #1013
URL of problem pagehttp://www.literatuurplein.nl/boekdetail.jsp?boekId=49696
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000025

Vincent Sanders (administrator)

Still present in CI 1530

$ ./nsgtk http://www.literatuurplein.nl/boekdetail.jsp?boekId=49696
nsgtk: render/box_construct.c:1021: box_construct_element: Assertion `props.containing_block != ((void *)0) && "Root box must not be inline or floated"' failed.
Aborted
Daniel Silverstone

~0000151

Daniel Silverstone (administrator)

The consensus during the hack w/e was to simply ignore float and inline wrt. to the root box.
Vincent Sanders

~0000661

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-17 14:27 Vincent Sanders Reported in CI build # => 1013
2013-12-17 14:27 Vincent Sanders URL of problem page => http://www.literatuurplein.nl/boekdetail.jsp?boekId=49696
2013-12-17 14:27 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-17 14:27 Vincent Sanders Status assigned => acknowledged
2013-12-17 14:27 Vincent Sanders Resolution no change required => open
2013-12-17 14:27 Vincent Sanders Product Version => 3.1
2013-12-17 14:27 Vincent Sanders Description Updated View Revisions
2013-12-17 14:27 Vincent Sanders Additional Information Updated View Revisions
2013-12-17 14:30 Vincent Sanders Note Added: 0000025
2013-12-17 14:30 Vincent Sanders Severity minor => crash
2013-12-17 14:30 Vincent Sanders Reproducibility have not tried => always
2013-12-17 14:30 Vincent Sanders Category General => Layout
2014-01-04 14:42 Vincent Sanders Status acknowledged => confirmed
2014-01-04 15:18 Daniel Silverstone Note Added: 0000151
2014-01-04 15:18 Daniel Silverstone Assigned To => Michael Drake
2014-01-04 15:18 Daniel Silverstone Target Version => 3.1
2014-01-04 18:01 Michael Drake Fixed in CI build # => 1574
2014-01-04 18:01 Michael Drake Status confirmed => resolved
2014-01-04 18:01 Michael Drake Resolution open => fixed
2014-01-04 18:01 Michael Drake Fixed in Version => 3.1
2014-01-04 18:01 Michael Drake Description Updated View Revisions
2014-01-04 18:01 Michael Drake Additional Information Updated View Revisions
2015-03-10 10:37 Vincent Sanders Note Added: 0000661
2015-03-10 10:37 Vincent Sanders Status resolved => closed
+Issue History